(defun asal-post ()
  (interactive)
  (goto-char (point-min))
  (while (re-search-forward "<div id=\"content\"" nil t)
    (replace-match "<article id=\"content\""))
  (goto-char (point-min))
  (while (re-search-forward "<div id=\"outline-container-" nil t)
    (replace-match "<section id=\"outline-container-"))
  (goto-char (point-min))
  (while (re-search-forward "</div>\n</div>" nil t)
    (replace-match "</div>\n</section>"))
  (goto-char (point-min))
  (while (re-search-forward "<hr />\n\n<p>" nil t)
    (replace-match "</section>\n<section>\n<p class=\"newthought\">"))
  (goto-char (point-min))
  (while (re-search-forward "<div class=\"outline-text-2\" id=\".*\">" nil t)
    (replace-match ""))
  (goto-char (point-min))
  (while (re-search-forward "<div id=\"postamble\" class=\"status\">" nil t)
    (replace-match ""))
  (goto-char (point-min))
  (while (re-search-forward "<p class=\"validation\"><a href=.*>Validate</a></p>" nil t)
    (replace-match ""))
  (goto-char (point-min))
  (while (re-search-forward "</div>" nil t)
    (replace-match ""))
  (goto-char (point-min))
  (while (re-search-forward "section-number-2\">\\([0-9]*\\)<" nil t)
    (replace-match "section-number-2\">\\1\.<"))
  (goto-char (point-min))
  (while (re-search-forward "\\\\noindent\\\\rule{\\\\textwidth}{0.5pt}" nil t)
    (replace-match "\\sephim" nil t))
  (goto-char (point-min))
  (while (re-search-forward "\\\\maketitle" nil t)
    (replace-match "\\begin{titlingpage}\n\\titleGM\n\\end{titlingpage}" nil t))
  (goto-char (point-min))
  (while (re-search-forward "label{\\(.*\\)}\n\\([A-Z]\\)\\([a-z]*\\)" nil t)
    (replace-match "label{\\1}\n\\\\lettrine{\\2}{\\3}"))
  (goto-char (point-min))
  (while (re-search-forward "label{\\(.*\\)}\n“\\([A-Z]\\)\\([a-z]*\\)" nil t)
    (replace-match "label{\\1}\n\\\\lettrine{“\\2}{\\3}")))

(defun asal-pre ()
  (interactive)
  (goto-char (point-min))
  (while (re-search-forward " -" nil t)
    (replace-match " –"))
  (goto-char (point-min))
  (while (re-search-forward " –" nil t)
    (replace-match " –"))
  (goto-char (point-min))
  (while (re-search-forward "/ –" nil t)
    (replace-match " –/"))
  (goto-char (point-min))
  (while (re-search-forward " \\.\\.\\." nil t)
    (replace-match " …"))
  (goto-char (point-min))
  (while (re-search-forward " …" nil t)
    (replace-match " …"))
  (goto-char (point-min))
  (while (re-search-forward "'" nil t)
    (replace-match "’"))
  (goto-char (point-min))
  (while (re-search-forward " \n" nil t)
    (replace-match "\n"))
  (goto-char (point-min))
  (while (re-search-forward "\n\"" nil t)
    (replace-match "\n“"))
  (goto-char (point-min))
  (while (re-search-forward " \"" nil t)
    (replace-match " “"))
  (goto-char (point-min))
  (while (re-search-forward "\"" nil t)
    (replace-match "”"))
  (goto-char (point-min))
  (while (re-search-forward "“/" nil t)
    (replace-match "/“"))
  (goto-char (point-min))
  (while (re-search-forward "/”" nil t)
    (replace-match "”/"))
  (goto-char (point-min))
  (while (re-search-forward "\\[fn:\\([0-9]*\\):\\(.*\\)\\]" nil t)
    (replace-match "@@html:<label for=\"\\1\" class=\"margin-toggle sidenote-number\"></label><input type=\"checkbox\" id=\"\\1\" class=\"margin-toggle\"/><span class=\"sidenote\">\\2</span>@@@@latex:\\\\footnote{\\2}@@"))
  (goto-char (point-min))
  (insert "#+TITLE: A Shot At Life\n#+AUTHOR: ovely\n#+STARTUP: fninline\n#+OPTIONS: toc:nil author:nil creator:nil date:nil timestamp:nil html-style:nil\n#+HTML_HEAD: <link rel=\"preconnect\"  href=\"https://fonts.googleapis.com\"/><link rel=\"preconnect\" href=\"https://fonts.gstatic.com\" crossorigin/><link href=\"https://fonts.googleapis.com/css2?family=EB+Garamond:ital,wght@0,400;0,700;1,400;1,700&display=swap\" rel=\"stylesheet\"/><link rel=\"stylesheet\" href=\"https://tre.praze.net/fic/tufte.css\"/>\n#+LATEX_COMPILER: xelatex\n#+LATEX_CLASS: memoir\n#+LATEX_CLASS_OPTIONS: [9pt,b6paper]\n#+LATEX_HEADER: \\input{header.tex}\n\n"))
